@ECHO OFF
REM *******************************************************************************
REM * Licensed Materials - Property of IBM and/or HCL 
REM * (c) Copyright HCL Technologies Ltd. 2021. All Rights Reserved. 
REM * 
REM * Note to U.S. Government Users Restricted Rights: 
REM * Use, duplication or disclosure restricted by GSA ADP Schedule 
REM * Contract with IBM Corp. 
REM *******************************************************************************

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   
:: OVERVIEW:
:: Note this script is called to create a shortcut of  UITestAgentStart.bat script in startup folder
::      and running the UITestAgent.lnk
::
:: USAGE  UITestAgentShortcut.bat <installation directory path> 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

set "crt_dir=%~dp0"
for %%I in ("%crt_dir%\..") do set "root=%%~fI"

set SCRIPT="%TEMP%\%RANDOM%-%RANDOM%-%RANDOM%-%RANDOM%.vbs"

echo Set oWS = WScript.CreateObject("WScript.Shell") >> %SCRIPT%
echo sLinkFile = "%allusersprofile%\Microsoft\Windows\Start Menu\Programs\StartUp\UITestAgent.lnk" >> %SCRIPT%
echo Set oLink = oWS.CreateShortcut(sLinkFile) >> %SCRIPT%
echo oLink.TargetPath = "%root%\UITestAgent\UITestAgentStart.bat" >> %SCRIPT%
echo oLink.Description="Shortcut for UI Test Agent" >> %SCRIPT%
echo oLink.Save >> %SCRIPT%
%SystemRoot%\system32\cscript /nologo %SCRIPT%
del %SCRIPT%
call "%root%\UITestAgent\UITestAgentStart.bat"