@ECHO OFF
REM *******************************************************************************
REM * Licensed Materials - Property of IBM and/or HCL 
REM * (c) Copyright HCL Technologies Ltd. 2021. All Rights Reserved. 
REM * 
REM * Note to U.S. Government Users Restricted Rights: 
REM * Use, duplication or disclosure restricted by GSA ADP Schedule 
REM * Contract with IBM Corp. 
REM *******************************************************************************

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   
:: OVERVIEW:
:: Note this script is used to start the UI Test Agent.
::
:: USAGE  UITestAgentStart.bat <installation directory path>
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

set "crt_dir=%~dp0"
for %%I in ("%crt_dir%\..") do set "root=%%~fI"

set PATH=%PATH%;%root%\jdk\bin
start javaw -jar "%root%\UITestAgent\onetest-ui-test-agent.jar" "%root%"
